# ap_node_float.
# Atom's node definition.
# (c) 2013 

import bpy
from bpy.types import NodeTree, Node, NodeSocket
from .ap_node_socket_float import apFloatSocket
from .utility import to_console

from .ap_node_tree import bgCustomTreeNode
class FloatNode(Node, bgCustomTreeNode):
	''' Float '''
	bl_idname = 'ap_FloatNode'
	bl_label = 'Float'
	bl_icon = 'CONSOLE'	# 'STRANDS', 'GREASEPENCIL', 'OUTLINER_OB_EMPTY'
	
	def init(self, context):
		self.inputs.new('apFloatSocketType', "Float", "in_float")
		self.outputs.new('apFloatSocketType', "Float", "out_float")
		self.outputs[0].value = self.inputs[0].value
		
	def update(self):
		to_console("update")

	def update_socket(self, context):
		self.update()


def register():
	bpy.utils.register_class(FloatNode)
	
def unregister():
	bpy.utils.unregister_class(FloatNode)

if __name__ == "__main__":
	register()