# ap_node_integer.
# Atom's node definition.
# (c) 2013 

import bpy
from bpy.types import NodeTree, Node, NodeSocket
from .ap_node_socket_integer import apIntegerSocket
from .utility import to_console

from .ap_node_tree import bgCustomTreeNode
class IntegerNode(Node, bgCustomTreeNode):
	''' Integer '''
	bl_idname = 'ap_IntegerNode'
	bl_label = 'Integer'
	bl_icon = 'CONSOLE'	# 'STRANDS', 'GREASEPENCIL', 'OUTLINER_OB_EMPTY'
	
	def init(self, context):
		self.inputs.new('apIntegerSocketType', "Integer", "in_integer")
		self.outputs.new('apIntegerSocketType', "Integer", "out_integer")
		self.outputs[0].value = self.inputs[0].value
		
	def update(self):
		to_console("update")

	def update_socket(self, context):
		self.update()


def register():
	bpy.utils.register_class(IntegerNode)
	
def unregister():
	bpy.utils.unregister_class(IntegerNode)

if __name__ == "__main__":
	register()