# ap_node_tree.
# Atom's tree definition.
# (c) 2013 

import bpy
from bpy_types import NodeTree

# Derived from the NodeTree base type, similar to Menu, Operator, Panel, etc.
class bg_CustomTree(NodeTree):
    '''Blendgraph, node based animation.'''		# Description string
    bl_idname = 'BlendgraphTreeType'			# Optional identifier string. If not explicitly defined, the python class name is used.
    bl_label = 'Blendgraph Node Tree'			# Label for nice name display
    bl_icon = 'BOIDS'							# Icon identifier (NOTE: If no icon is defined, the node tree will not show up in the editor header!)

class bgCustomTreeNode:
    @classmethod
    def poll(cls, ntree):
        return ntree.bl_idname == 'BlendgraphTreeType'

def register():
    bpy.utils.register_class(bg_CustomTree)
    
def unregister():
    bpy.utils.unregister_class(bg_CustomTree)
    
if __name__ == "__main__":
    register()

